/*
 * Copyright (c) 2018-2999 广州亚米信息科技有限公司 All rights reserved.
 *
 * https://www.gz-yami.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */

package com.yami.shop.delivery.comment.service;

import com.yami.shop.bean.app.dto.ProductItemDto;
import com.yami.shop.bean.app.dto.ShopCartItemDto;
import com.yami.shop.bean.dto.TzTransportDto;
import com.yami.shop.bean.model.UserAddr;
import com.yami.shop.bean.model.Transport2;

import java.util.List;

public interface TransportManagerService {

    Double calculateTransfee(ProductItemDto productItem, UserAddr userAddr);

    /**
     * 如果运费模板相同，则把运费模板相同的商品合成一个商品（合成：重量，体积，件数），然后在计算运费
     */
    Double calculateTransfeeSecond(List<ShopCartItemDto> productItems, UserAddr userAddr);


    Double calculateTransfeeSecond2(Long shopId, UserAddr userAddr);

    TzTransportDto calculateTransfeeSecondTransport2(Long shopId, UserAddr userAddr, Long channelId);

    Double calculateTransfeeSecond2(Long shopId, UserAddr userAddr, Double weight);

    Transport2 calculateTransfeeStart(Long shopId, Double longitude, Double latitude);
}
